import 'package:flutter/material.dart';

class CarouselArrowBtn extends StatelessWidget {
  final VoidCallback onTap;

  const CarouselArrowBtn({
    Key? key,
    required this.onTap,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return InkWell(
      child: Container(
        padding: const EdgeInsets.all(12),
        decoration: BoxDecoration(
          color: Colors.white,
          shape: BoxShape.circle,
          boxShadow: [
            BoxShadow(
              color: Colors.white.withOpacity(0.3),
              offset: const Offset(0, 0),
              blurRadius: 20,
              spreadRadius: 5,
            ),
          ],
        ),
        child: const Icon(
          Icons.arrow_forward_ios,
          color: Colors.black,
          size: 14,
        ),
      ),
      onTap: onTap,
    );
  }
}
